package com.ruoyi.system.domain.form.params;

import java.io.Serializable;

public class FormPageQuery implements Serializable {

    // 当前页码
    private Integer pageNum = 1;
    // 分页数量
    private Integer pageSize = 10;

    public FormPageQuery() {
    }

    public FormPageQuery(Integer pageNum, Integer pageSize) {
        if(pageNum != null && pageNum > 0){
            this.pageNum = pageNum;
        }
        if(pageSize != null && pageSize > 0){
            this.pageSize = pageSize;
        }
    }

    public Integer getPageNum() {
        return pageNum == null ? 1 : pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize == null ? 10 : pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }


}
